Subject: Uri_ImageViewHelper // Link to a resized image
Description

Request: 
I think this is not possible for the moment. Either you display a (resized) image or you link to the original image (fullsize). So I think it
would be nice to have a viewhelper for linking to an image, providing width/height settings.

Solution:
Here's the implementation of a ViewHelper that works like ImageViewHelper, but just renders the URI, not the whole <img>-Tag. It is
based on the original ImageViewHelper and simply returns the $imageResource. Useful for the creation of XML-files where the URI of
a resized image is needed.

History
#1 - 2010-06-18 10:22 - Bastian Waidelich
- Assigned To set to Bastian Waidelich

#2 - 2010-06-18 12:34 - Bastian Waidelich
- Due date set to 2010-06-18
- Status changed from New to Accepted
- Branch set to v4

#3 - 2010-06-24 14:25 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r2389. Thanks to Christian Baer for your patch!

Files
ImageViewHelper.php 3.6 kB 2010-06-15 Christian Baer
